%define oname   google-apis-discovery_v1

Name:       ruby-%{oname}
Version:    0.12.0
Release:    %mkrel 1
Summary:    Simple REST client for API Discovery Service V1
License:    Apache-2.0
Group:      Development/Ruby
URL:        https://github.com/google/google-api-ruby-client
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This is the simple REST client for API Discovery Service V1. Simple REST
clients are Ruby client libraries that provide access to Google services via
their HTTP REST API endpoints. These libraries are generated and updated
automatically based on the discovery documents published by the service, and
they handle most concerns such as authentication, pagination, retry, timeouts,
and logging. You can use this client to access the API Discovery Service, but
note that some services may provide a separate modern client that is easier to
use.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Sep 26 2022 pterjan <pterjan> 0.12.0-1.mga9
+ Revision: 1892425
- Update to 0.12.0

* Mon Aug 15 2022 pterjan <pterjan> 0.11.0-1.mga9
+ Revision: 1877892
- Update to 0.11.0

* Fri May 27 2022 pterjan <pterjan> 0.8.0-1.mga9
+ Revision: 1860502
- imported package ruby-google-apis-discovery_v1

